[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [Debian-Hurd] Aptitude broken?

On Jan 27, 2008 2:54 PM, Samuel Thibault <samuel.thibault@ens-lyon.org> wrote:
> Javier Vasquez, le Sat 26 Jan 2008 15:55:50 -0600, a écrit :
> > ***  glibc detected  ***  aptitude:  malloc():  memory corruption:
> > 0x08346688  ***
> > Abort
> >
> > ...
> That's most probably not a problem of glibc (which just detects a
> corruption), but a bug in aptitude, which probably doesn't happen
> on Linux.  A workaround can be to set the MALLOC_CHECK_ environment
> variable to 0, but the bug may have other effects so it should be fixed.
> Samuel

Well, I tried the environment variable setting.  It allowed me to go a
bit further. Now the packages are downloaded, but as soon as the
download is finished the upgrade crashes with a "segmentation fault".
This was already happening if the upgrade was performed as non root
through "sudo", but now it's happening directly as root.

So I still need to "apt-get install" those new packages...


Reply to: